Setup Links
List setup links
Get WhatsApp onboarding links for a customer, most recent first.
GET
/
customers
/
{customer_id}
/
setup_links
List setup links
curl --request GET \
--url https://api.kapso.ai/platform/v1/customers/{customer_id}/setup_links \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.kapso.ai/platform/v1/customers/{customer_id}/setup_links"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.kapso.ai/platform/v1/customers/{customer_id}/setup_links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"url": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"success_redirect_url": "<string>",
"failure_redirect_url": "<string>",
"allowed_connection_types": [
"coexistence",
"dedicated"
],
"theme_config": {
"primary_color": "<string>",
"primary_foreground_color": "<string>",
"background_color": "<string>",
"text_color": "<string>",
"muted_text_color": "<string>",
"card_color": "<string>",
"muted_color": "<string>",
"border_color": "<string>",
"secondary_color": "<string>",
"secondary_foreground_color": "<string>",
"destructive_color": "<string>",
"destructive_foreground_color": "<string>"
},
"provision_phone_number": true,
"phone_number_area_code": "<string>",
"phone_number_country_isos": [
"<string>"
],
"reconnect_phone_number": "<string>",
"whatsapp_setup_error": "<string>",
"provisioned_phone_number": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phone_number": "<string>",
"status": "<string>",
"country_iso": "<string>",
"country_dial_code": "<string>",
"area_code": "<string>",
"display_number": "<string>"
}
}
],
"meta": {
"page": 2,
"per_page": 2,
"total_pages": 1,
"total_count": 1
}
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Path Parameters
Query Parameters
Available options:
active, used, expired, revoked Required range:
x >= 1Required range:
x >= 1Was this page helpful?
Previous
Create setup linkGenerate a hosted onboarding page for customers to connect their WhatsApp number.
The link guides them through Meta's embedded signup and optionally provisions a new number.
Next
⌘I
List setup links

